Name:           relaxngDatatype
Version:        2011.1
Release:        %mkrel 9
Group:          Development/Java
Summary:        RELAX NG Datatype API
License:        BSD
URL:            https://github.com/java-schema-utilities/relaxng-datatype-java
BuildArch:      noarch

Source0:        https://github.com/java-schema-utilities/relaxng-datatype-java/archive/relaxngDatatype-%{version}.tar.gz
# License is not available in the tarball, this copy fetched from the tarball on the old sourceforge.net site
Source1:        copying.txt

BuildRequires:  maven-local

%description
RELAX NG is a public space for test cases and other ancillary software
related to the construction of the RELAX NG language and its
implementations.

%package        javadoc
Summary:        API documentation for %{name}

%description    javadoc
This package provides %{summary}.

%prep
%setup -q -n relaxng-datatype-java-relaxngDatatype-%{version}

cp -p %{SOURCE1} .

# remove unnecessary dependency on parent POM
%pom_remove_parent

%pom_xpath_remove "pom:build/pom:extensions"

# For compatibility
%mvn_alias "com.github.relaxng:relaxngDatatype" "relaxngDatatype:relaxngDatatype"

# remove maven-compiler-plugin configuration that is broken with Java 11
%pom_xpath_remove 'pom:plugin[pom:artifactId="maven-compiler-plugin"]/pom:configuration'

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/relaxngDatatype
%doc copying.txt

%files javadoc -f .mfiles-javadoc
%doc copying.txt




%changelog
* Sat Mar 26 2022 umeabot <umeabot> 2011.1-9.mga9
+ Revision: 1827582
- Mageia 9 Mass Rebuild

* Mon Sep 07 2020 daviddavid <daviddavid> 2011.1-8.mga8
+ Revision: 1623122
- Set javac source and target to 1.8 to fix Java 11 builds
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Wed Feb 12 2020 umeabot <umeabot> 2011.1-7.mga8
+ Revision: 1499513
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2011.1-6.mga7
+ Revision: 1274877
- Mageia 7 Mass Rebuild

* Sat May 20 2017 neoclust <neoclust> 2011.1-5.mga6
+ Revision: 1103687
- Fix BuildRequires
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 2011.1-3.mga6
+ Revision: 978146
- First rebuild of the java stack
- sync package relaxngDatatype with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Jan 14 2015 daviddavid <daviddavid> 1.0-12.mga5
+ Revision: 810610
- Sync with fc21
- fix Group

* Wed Oct 15 2014 umeabot <umeabot> 1.0-11.mga5
+ Revision: 740947
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-10.mga5
+ Revision: 688650
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-9.mga4
+ Revision: 518033
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.0-8.mga3
+ Revision: 380302
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 dmorgan <dmorgan> 1.0-7.mga3
+ Revision: 325444
- Add maven pom

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-6.4.mga1
+ Revision: 93140
- Rebuild after bootstrapping
- imported package relaxngDatatype

